mailarchive of the ptxdist mailing list
 help / color / mirror / Atom feed
* [ptxdist] [PATCH 1/2] ptxdist: drop: give better error message without parameters
@ 2021-04-11 20:25 Roland Hieber
  2021-04-11 20:25 ` [ptxdist] [PATCH 2/2] ptxdist: package-info: " Roland Hieber
  2021-04-23 13:47 ` [ptxdist] [APPLIED] ptxdist: drop: " Michael Olbrich
  0 siblings, 2 replies; 4+ messages in thread
From: Roland Hieber @ 2021-04-11 20:25 UTC (permalink / raw)
  To: ptxdist; +Cc: Roland Hieber

The current output is not very explanatory:

    $ ptxdist drop

    rm: cannot remove '.../platform-foo/state/': Is a directory
    dropping

Signed-off-by: Roland Hieber <rhi@pengutronix.de>
---
 bin/ptxdist | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/bin/ptxdist b/bin/ptxdist
index 248b0473df0f..75e503fe4767 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -966,6 +966,11 @@ clean() {
 drop() {
 	local statefile
 
+	if [ -z "${1}" ]; then
+		echo "Usage: drop <package>.<stage>"
+		exit 1
+	fi
+
 	if [ -z "${2}" ]; then
 		statefile="${1}"
 	else
-- 
2.29.2


_______________________________________________
ptxdist mailing list
ptxdist@pengutronix.de
To unsubscribe, send a mail with subject "unsubscribe" to ptxdist-request@pengutronix.de

^ permalink raw reply	[flat|nested] 4+ messages in thread

* [ptxdist] [PATCH 2/2] ptxdist: package-info: give better error message without parameters
  2021-04-11 20:25 [ptxdist] [PATCH 1/2] ptxdist: drop: give better error message without parameters Roland Hieber
@ 2021-04-11 20:25 ` Roland Hieber
  2021-04-23 13:47   ` [ptxdist] [APPLIED] " Michael Olbrich
  2021-04-23 13:47 ` [ptxdist] [APPLIED] ptxdist: drop: " Michael Olbrich
  1 sibling, 1 reply; 4+ messages in thread
From: Roland Hieber @ 2021-04-11 20:25 UTC (permalink / raw)
  To: ptxdist; +Cc: Roland Hieber

The current output is not very explanatory:

    $ ptxdist package-info
    ptxdist: error: please use 'ptxdist' instead of calling make directly.
    make: *** [.../ptxdist/rules/other/Toplevel.make:55: all] Error 1

Signed-off-by: Roland Hieber <rhi@pengutronix.de>
---
 bin/ptxdist | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/bin/ptxdist b/bin/ptxdist
index 75e503fe4767..01b8713727ce 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -1887,6 +1887,11 @@ EOF
 		package-info)
 			declare -a pkgs
 
+			if [ ${#} -eq 0 ]; then
+				echo "Usage: package-info <packages...>"
+				exit 1
+			fi
+
 			check_config &&
 			check_deps &&
 			pkgs=( "${@/#/${STATEDIR}/}" ) &&
-- 
2.29.2


_______________________________________________
ptxdist mailing list
ptxdist@pengutronix.de
To unsubscribe, send a mail with subject "unsubscribe" to ptxdist-request@pengutronix.de

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [ptxdist] [APPLIED] ptxdist: drop: give better error message without parameters
  2021-04-11 20:25 [ptxdist] [PATCH 1/2] ptxdist: drop: give better error message without parameters Roland Hieber
  2021-04-11 20:25 ` [ptxdist] [PATCH 2/2] ptxdist: package-info: " Roland Hieber
@ 2021-04-23 13:47 ` Michael Olbrich
  1 sibling, 0 replies; 4+ messages in thread
From: Michael Olbrich @ 2021-04-23 13:47 UTC (permalink / raw)
  To: ptxdist; +Cc: Roland Hieber

Thanks, applied as 9a3b0cc916621929b1600f0a0322011b3840983a.

Michael

[sent from post-receive hook]

On Fri, 23 Apr 2021 15:47:31 +0200, Roland Hieber <rhi@pengutronix.de> wrote:
> The current output is not very explanatory:
> 
>     $ ptxdist drop
> 
>     rm: cannot remove '.../platform-foo/state/': Is a directory
>     dropping
> 
> Signed-off-by: Roland Hieber <rhi@pengutronix.de>
> Message-Id: <20210411202518.31984-1-rhi@pengutronix.de>
> Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
> 
> diff --git a/bin/ptxdist b/bin/ptxdist
> index d57574f8ce76..f5ded85577ef 100755
> --- a/bin/ptxdist
> +++ b/bin/ptxdist
> @@ -966,6 +966,11 @@ clean() {
>  drop() {
>  	local statefile
>  
> +	if [ -z "${1}" ]; then
> +		echo "Usage: drop <package>.<stage>"
> +		exit 1
> +	fi
> +
>  	if [ -z "${2}" ]; then
>  		statefile="${1}"
>  	else

_______________________________________________
ptxdist mailing list
ptxdist@pengutronix.de
To unsubscribe, send a mail with subject "unsubscribe" to ptxdist-request@pengutronix.de


^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [ptxdist] [APPLIED] ptxdist: package-info: give better error message without parameters
  2021-04-11 20:25 ` [ptxdist] [PATCH 2/2] ptxdist: package-info: " Roland Hieber
@ 2021-04-23 13:47   ` Michael Olbrich
  0 siblings, 0 replies; 4+ messages in thread
From: Michael Olbrich @ 2021-04-23 13:47 UTC (permalink / raw)
  To: ptxdist; +Cc: Roland Hieber

Thanks, applied as 65c1a38738aec3c40722f3ee64040da44e35a3a2.

Michael

[sent from post-receive hook]

On Fri, 23 Apr 2021 15:47:33 +0200, Roland Hieber <rhi@pengutronix.de> wrote:
> The current output is not very explanatory:
> 
>     $ ptxdist package-info
>     ptxdist: error: please use 'ptxdist' instead of calling make directly.
>     make: *** [.../ptxdist/rules/other/Toplevel.make:55: all] Error 1
> 
> Signed-off-by: Roland Hieber <rhi@pengutronix.de>
> Message-Id: <20210411202518.31984-2-rhi@pengutronix.de>
> Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
> 
> diff --git a/bin/ptxdist b/bin/ptxdist
> index f5ded85577ef..13f81674f4fd 100755
> --- a/bin/ptxdist
> +++ b/bin/ptxdist
> @@ -1886,6 +1886,11 @@ EOF
>  		package-info)
>  			declare -a pkgs
>  
> +			if [ ${#} -eq 0 ]; then
> +				echo "Usage: package-info <packages...>"
> +				exit 1
> +			fi
> +
>  			check_config &&
>  			check_deps &&
>  			pkgs=( "${@/#/${STATEDIR}/}" ) &&

_______________________________________________
ptxdist mailing list
ptxdist@pengutronix.de
To unsubscribe, send a mail with subject "unsubscribe" to ptxdist-request@pengutronix.de


^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2021-04-23 13:48 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-04-11 20:25 [ptxdist] [PATCH 1/2] ptxdist: drop: give better error message without parameters Roland Hieber
2021-04-11 20:25 ` [ptxdist] [PATCH 2/2] ptxdist: package-info: " Roland Hieber
2021-04-23 13:47   ` [ptxdist] [APPLIED] " Michael Olbrich
2021-04-23 13:47 ` [ptxdist] [APPLIED] ptxdist: drop: " Michael Olbrich

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox